object Form1: TForm1
  Left = 204
  Top = 160
  BorderStyle = bsDialog
  BorderWidth = 4
  Caption = 'MCPGP Demo - www.MasterCluster.com'
  ClientHeight = 299
  ClientWidth = 700
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object grpOptions: TGroupBox
    Left = 379
    Top = 1
    Width = 320
    Height = 106
    Caption = 'PGP Operation Options'
    Ctl3D = True
    ParentCtl3D = False
    TabOrder = 1
    object grpMode: TRadioGroup
      Left = 176
      Top = 15
      Width = 136
      Height = 82
      Caption = 'Mode'
      ItemIndex = 0
      Items.Strings = (
        'Text to Text'
        'Text to File'
        'File to File'
        'File to Text')
      TabOrder = 1
      OnClick = grpModeClick
    end
    object grpAction: TRadioGroup
      Left = 8
      Top = 15
      Width = 164
      Height = 82
      Caption = 'Action'
      ItemIndex = 0
      Items.Strings = (
        'Encode Data'
        'Decode Data'
        'Create Detached Signature'
        'Verify Detached Signature')
      TabOrder = 0
      OnClick = grpModeClick
    end
  end
  object grpKey1: TGroupBox
    Left = 3
    Top = 1
    Width = 372
    Height = 106
    Caption = 'Secret Key Pair'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 0
    object Label1: TLabel
      Left = 9
      Top = 23
      Width = 37
      Height = 13
      Caption = 'UserID:'
    end
    object Label2: TLabel
      Left = 9
      Top = 47
      Width = 24
      Height = 13
      Caption = 'Pwd:'
    end
    object Label3: TLabel
      Left = 7
      Top = 78
      Width = 56
      Height = 13
      Caption = 'Fingerprint:'
    end
    object Label4: TLabel
      Left = 107
      Top = 23
      Width = 41
      Height = 13
      Caption = 'KeySize:'
    end
    object Label5: TLabel
      Left = 107
      Top = 47
      Width = 59
      Height = 13
      Caption = 'SubKeySize:'
    end
    object edUserID: TEdit
      Left = 46
      Top = 19
      Width = 53
      Height = 21
      Hint = 'Name of your key'
      TabOrder = 0
      Text = '321'
    end
    object edPwd: TEdit
      Left = 46
      Top = 43
      Width = 53
      Height = 21
      TabOrder = 1
      Text = '123'
    end
    object bnCreate: TButton
      Left = 206
      Top = 19
      Width = 94
      Height = 22
      Caption = 'Generate Key'
      TabOrder = 4
      OnClick = bnCreateClick
    end
    object edFpt: TEdit
      Left = 64
      Top = 75
      Width = 301
      Height = 21
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      ReadOnly = True
      TabOrder = 5
    end
    object bnViewKey: TButton
      Left = 307
      Top = 19
      Width = 57
      Height = 45
      Hint = 'See generated key in the ASCII-Armored mode'
      Caption = 'View Key'
      TabOrder = 6
      OnClick = bnViewKeyClick
    end
    object edKeySize: TEdit
      Left = 167
      Top = 19
      Width = 34
      Height = 21
      Hint = 'Value from 512 to 1024  (Default 1024)'
      TabOrder = 2
      Text = '1024'
    end
    object edSubKeySize: TEdit
      Left = 167
      Top = 43
      Width = 34
      Height = 21
      Hint = 'Value from 512 and higher (Default 2048)'
      TabOrder = 3
      Text = '2048'
    end
    object bnChgPwd: TButton
      Left = 207
      Top = 44
      Width = 93
      Height = 21
      Caption = 'Change Passwd'
      TabOrder = 7
      OnClick = bnChgPwdClick
    end
  end
  object grpEncDec: TGroupBox
    Left = 3
    Top = 112
    Width = 696
    Height = 183
    Caption = 
      'PGP Operations. Key'#39's Password is taken from the appropriate Pwd' +
      ' field when required'
    TabOrder = 2
    object labSrcText: TLabel
      Left = 8
      Top = 16
      Width = 37
      Height = 13
      Caption = 'Source:'
    end
    object labDstText: TLabel
      Left = 352
      Top = 16
      Width = 76
      Height = 13
      Caption = 'Encoded (UUE):'
    end
    object labFile1: TLabel
      Left = 8
      Top = 133
      Width = 37
      Height = 13
      Caption = 'File #1:'
    end
    object labFile2: TLabel
      Left = 8
      Top = 157
      Width = 37
      Height = 13
      Caption = 'File #2:'
    end
    object mSrcText: TMemo
      Left = 8
      Top = 29
      Width = 335
      Height = 92
      Lines.Strings = (
        'You can type your text to encode here.'
        'The results of the encoding '
        'will be displayed in '#39'Encoded (UUE)'#39' field.')
      ScrollBars = ssBoth
      TabOrder = 0
      WordWrap = False
    end
    object mDstText: TMemo
      Left = 352
      Top = 29
      Width = 335
      Height = 92
      Font.Charset = RUSSIAN_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'Courier New'
      Font.Style = []
      ParentFont = False
      ScrollBars = ssBoth
      TabOrder = 1
      WordWrap = False
    end
    object bnExec: TButton
      Left = 548
      Top = 141
      Width = 140
      Height = 24
      Caption = 'Execute PGP operation!'
      TabOrder = 6
      OnClick = bnExecClick
    end
    object edFile1: TEdit
      Left = 111
      Top = 129
      Width = 295
      Height = 21
      TabOrder = 2
    end
    object bnFile1: TButton
      Left = 407
      Top = 129
      Width = 60
      Height = 22
      Caption = 'Browse...'
      TabOrder = 3
      OnClick = bnFile1Click
    end
    object edFile2: TEdit
      Left = 111
      Top = 153
      Width = 295
      Height = 21
      TabOrder = 4
    end
    object bnFile2: TButton
      Left = 407
      Top = 153
      Width = 60
      Height = 22
      Caption = 'Browse...'
      TabOrder = 5
      OnClick = bnFile2Click
    end
  end
  object ofd: TOpenDialog
    FileName = 'Browse for file'
    Filter = 'All files (*.*)|*.*'
    Left = 515
    Top = 158
  end
  object xpman: TXPManifest
    Left = 583
    Top = 156
  end
end
